Subject: bug#2685: Emergency (alloc): Warning: past 85% of memory limit

From: John Sullivan <[email-masked]>
Date: Tue, 26 May 2009 23:06:31 -0400

Chong Yidong <[email-masked]> writes:

>> The problem is that Emacs is not determining the start of the data
>> segment properly on MIPS machines.  In src/m/mips.h, we define
>> DATA_START as 0x10000000
>
> On further research, I think this is wrong for GNU/Linux.  It was
> probably written for other operating systems in mind.  Undefining
> DATA_START on GNU/Linux is pretty harmless; as I said, this causes Emacs
> to fall back on another heuristic method for determining the start of
> the data segment.  (Anyway, this change only affects this particular
> platform).  So, I've checked in the change.
>

I just built the pretest and the error is gone. Thanks!